=== amarok/src/analyzers/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### analyzers (static) ########################

tde_add_library( analyzers STATIC_PIC AUTOMOC
  SOURCES
    analyzerbase.cpp analyzerfactory.cpp baranalyzer.cpp
    blockanalyzer.cpp glanalyzer.cpp glanalyzer2.cpp
    glanalyzer3.cpp sonogram.cpp turbine.cpp boomanalyzer.cpp
  DEPENDENCIES amarokcore-static
)
