=== amarok/src/konquisidebar/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( konqueror )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES amarok.desktop DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add )
install( FILES amarok.desktop DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/kicker_entries )
install( FILES amarok.desktop DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/entries )


##### konqsidebar_universalamarok (module) ######

tde_add_kpart( konqsidebar_universalamarok AUTOMOC
  SOURCES
    universalamarok.cpp
    ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore/amarokdcopiface.stub
  LINK konqsidebarplugin-shared khtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
