=== amarok/src/magnatunebrowser/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src/statusbar
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### magnatunebrowser (static) #################

tde_add_library( magnatunebrowser STATIC_PIC AUTOMOC
  SOURCES
    magnatuneartistinfobox.cpp magnatunebrowser.cpp
    magnatunedownloaddialogbase.ui magnatunedownloaddialog.cpp
    magnatunepurchasedialogbase.ui magnatunepurchasedialog.cpp
    magnatunepurchasehandler.cpp magnatunetypes.cpp magnatunexmlparser.cpp
    magnatunedatabasehandler.cpp magnatunelistviewitems.cpp
    magnatunelistview.cpp magnatuneredownloaddialog.cpp
    magnatuneredownloadhandler.cpp magnatunedownloadinfo.cpp
    magnatunealbumdownloader.cpp magnatuneredownloaddialogbase.ui
)
