=== amarok/src/engine/xine/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${XINE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES amarok_xine-engine.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES xinecfg.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### libamarok_xine-engine (module) ############

tde_add_kpart( libamarok_xine-engine AUTOMOC
  SOURCES
    xine-scope.c xinecfg.kcfgc xine-engine.cpp
    xineconfigbase.ui xine-config.cpp
  LINK amarok-shared ${XINE_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
