=== amarok/src/mediadevice/generic/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES amarok_generic-mediadevice.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_generic-mediadevice (module) ####

tde_add_kpart( libamarok_generic-mediadevice AUTOMOC
  SOURCES
    genericmediadeviceconfigdialog.ui
    genericmediadevice.cpp
  LINK amarok-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
  DEPENDENCIES amarokcore-static
)
