=== amarok/src/mediadevice/ifp/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    amarok_ifp-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_ifp-mediadevice (module) ########

tde_add_kpart( libamarok_ifp-mediadevice AUTOMOC
  SOURCES ifpmediadevice.cpp
  LINK amarok-shared kio-shared ${IFP_LIBRARY} ${USB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
