=== amarok/src/mediadevice/njb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    amarok_njb-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_njb-mediadevice (module) ########

tde_add_kpart( libamarok_njb-mediadevice AUTOMOC
  SOURCES
    njbmediadevice.cpp playlist.cpp track.cpp
  LINK amarok-shared ${NJB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
