=== debian/changelog ===
amarok-trinity (4:3.5.13.2-0debian7.0.0+1) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Jul 2013 03:35:36 +0200

amarok-trinity (2:1.4.10-1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

amarok-trinity (2:1.4.10-0ubuntu5) jaunty; urgency=low

  * Jaunty rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 28 April 2009 13:23:00 -0600

amarok-trinity (2:1.4.10-0ubuntu4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 20:08:00 -0600

amarok-trinity (2:1.4.10-0ubuntu2) intrepid; urgency=low

  * Fixed Debian MP3 autoinstaller

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 08 Dec 2008 15:59:00 -0600

amarok-trinity (2:1.4.10-0ubuntu1) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Dec 2008 22:55:00 -0600

amarok (2:1.4.10-0ubuntu3) intrepid; urgency=low

  * Add kubuntu_12_eject_command.diff, change eject command to
    umount, we no longer have kdeeject

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Oct 2008 22:16:22 +0100

amarok (2:1.4.10-0ubuntu2) intrepid; urgency=low

  * Update install-mp3 to use install-package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Sep 2008 14:30:40 +0100

amarok (2:1.4.10-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Add kubuntu_11_fix_libmtp-0.3.0-API.diff

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 14 Aug 2008 18:04:13 +0200

amarok (2:1.4.9.1-2ubuntu3) intrepid; urgency=low

  * Add moodbar to the feature list
  * Remove the amarok-engine virtual package, see debian version 1.4.8-2 for
    reasoning
  * amarok-common conflicts with amarok packages older than -2ubuntu1, but
    doesn't replace them (LP: #244628)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 30 Jun 2008 19:19:04 +0200

amarok (2:1.4.9.1-2ubuntu2) intrepid; urgency=low

  * Add manpages - unbreak build

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 27 Jun 2008 15:34:42 +0200

amarok (2:1.4.9.1-2ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes in debian/KUBUNTU-DEBIAN-DIFFERENCES 

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 25 Jun 2008 21:16:38 +0200

amarok (1.4.9.1-2) unstable; urgency=medium

  * Add 15_temptables_more_indices.diff patch which creates more indices for
    some temporary tables that are used extensively while building collection
    database. Apparently, SQLite 3.5.x is slower than 3.4.x when doing
    matches on unindexed temporary table fields. This should solve (or improve
    situation significantly) major performance problems with SQLite 3.5.x
    (Closes: #479068). Urgency medium because this problem affects many 
    lenny and sid Amarok users having rather large (15k+ songs) collections.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 11 May 2008 04:07:01 +0300

amarok (1.4.9.1-1) unstable; urgency=low

  * New upstream bugfix release:
    - The last.fm dialog did not always properly disable options when the
      username was not entered.
    - Fix Amazon Cover fetching by using their new web service api.
      (Closes: #474186)
    - Don't insert items into Dynamic Mode that don't exist.
    - If unavailable tracks are in the Playlist and random mode is on, don't
    - stop those tracks if selected; continue with available tracks.
  * Repackage original tarball as orig.tar.gz instead of doing tarball-in-orig
    tarball thing. The previous way made patch testing and debugging more
    painful unnecessarily.
  * Resynchronize patches:
    - 11_bug403340_cancel_rename_when_deleting_items.diff - fix offsets.
    - 97_automake_cleanup.diff - adopt to upstream changes, fix offsets.
  * Improve debian/rules stamp-automake and clean targets a bit not to rm
    automake generated files uselessly (if they were not regenerated)

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 11 Apr 2008 10:12:31 +0300

amarok (1.4.8-2) unstable; urgency=low

  * Remove Adeodato Simó from Uploaders by his request. Thank you Adeodato for
    all your hard work!
  * Remove amarok-gstreamer.install because there is no gstreamer engine
    anymore.
  * Remove overrides/amarok-arts. arts engine is no longer available.
  * Drop internal cdbs/kde.mk in favour of the one shipped with cdbs. Merge
    missing functionality (cvs-make/automake) into debian/rules.
  * Auto-guess automake /usr/share directory.
  * Rework interdependences among amarok and its engines' packages:
    - Drop amarok-engine virtual package. Amarok and its engines ABI are not
      even compatible between Amarok point releases so virtual package, which,
      unfortunately, is versionless by definition, is not practical here.
    - Rename engine packages to amarok-engine-$engine. Make them conflict
      and replace previous amarok-$engine packages. Also make amarok conflict
      with amarok-engine virtual package. All these changes will ensure that
      partial upgrades from etch are not allowed (Closes: #432219).
    - Make amarok depend on any of its engines of the same binary version
      via alternate dependences. Default engine is amarok-engine-xine. Edit
      amarok-engine-xine description accordingly.
    - Make all amarok engines recommend amarok strictly of the same binary
      version. Recommends instead of Depends here breaks circular dependency
      (Closes: #368485).
    - Downgrade amarok-engines to amarok Suggests.
    - Convert amarok-engines package to arch:all because it's a metapackage.
      Edit amarok-engines description because it's no longer going to be
      installed by default.
    - Add amarok-yauap to amarok-engines Suggests.
  * New binary packages:
    - amarok-common - arch:all package for architecture independent files

