=== debian/control ===
Source: amarok-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Modestas Vainius <modestas@vainius.eu>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0.0), quilt, bzip2,
 kdelibs4-trinity-dev,
 libxine2-dev | libxine-dev, libdbus-tqt-1-dev,
 libtag1-dev, libsqlite3-dev,
 libmysqlclient15-dev | libmysqlclient16-dev | libmysqlclient18-dev, libpq-dev,
 libvisual-0.4-dev, libsdl1.2-dev,
 libifp-dev, libusb-dev, libgpod-nogtk-dev (>= 0.4.2), libnjb-dev, libmtp-dev, libmp4v2-dev,
 ruby, ruby-dev,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://amarok.kde.org

Package: amarok-trinity
Architecture: any
Depends:  amarok-common-trinity (>= ${source:Version}), amarok-engine-xine-trinity (= ${binary:Version}) | amarok-engine-yauap-trinity (= ${binary:Version}), unzip, ${shlibs:Depends}
Suggests: amarok-engines-trinity, moodbar, konqueror-trinity | www-browser,
 python, python-qt3, libqt0-ruby1.8-trinity, libvisual-0.4-plugins
Description: versatile and easy to use audio player for Trinity
 Amarok tries to be a little different, providing a simple drag and drop
 interface that really makes playlist handling easy.
 .
 Features include:
   - rapid playlist creation, with drag and drop from a directory view
   - nice playlist browser for your existing playlists (PLS or M3U formats)
   - collection-indexing support, for smart browsing and playlist creation
   - possibility of accessing media via kioslaves, allowing you to play
     via smb:// or fish:// (normal streams are of course supported)
   - inline ID3 tag editing, capable of retrieving tags via MusicBrainz
   - album cover support: automatically displays album covers from the
     filesystem, or downloaded on the fly
   - miscellaneous audio effects, including crossfading
   - easy bindable global shortcuts, rich DCOP interface
   - On-Screen Display (OSD), on track change or at keypress
   - iPod and iRiver support
   - Last.fm stream playing support (if ruby is installed)
   - Track "mood" display (requires moodbar package installed)
 .
 Support for libvisual visualization plugins is also compiled in (you need 
 to have libvisual-0.4-plugins installed to be able to use it).

Package: amarok-common-trinity
Architecture: all
Depends: ruby
Recommends: amarok-trinity (>= ${source:Version})
Suggests: libqt0-ruby1.8-trinity, python, python-qt3
Description: architecture independent files for Amarok [Trinity]
 This package contains architecture independent files needed for Amarok to run
 properly. It also provides Amarok documentation. Therefore, unless you have
 'amarok' package installed, you will hardly find this package useful.
 .
 You need to install Python if you intend to use Zeroconf support, WebControl
 and/or playlist2html scripts. You will also need python-qt3 for the
 WebControl script.

Package: amarok-engines-trinity
Architecture: all
Depends: amarok-engine-xine-trinity (>= ${source:Version}), amarok-engine-yauap-trinity (>= ${source:Version})
Description: output engines for the Amarok music player [Trinity]
 This package serves merely as a reference point if you want to install
 all available Amarok engines. It depends on those Amarok engines that
 generally can be used by most users. You can safely remove this metapackage
 as you can remove the amarok-engine-$engine packages that you don't use.

Package: amarok-engine-xine-trinity
Architecture: any
Depends: ${shlibs:Depends}
Recommends: amarok-trinity (= ${binary:Version})
Description: xine engine for the Amarok audio player [Trinity]
 This package provides the xine engine for Amarok, which you may prefer
 for some reason over the other engines (e.g., it is the lightest engine
 Dependency-wise).

Package: amarok-engine-yauap-trinity
Architecture: any
Depends: yauap, ${shlibs:Depends}
Recommends: amarok-trinity (= ${binary:Version})
Description: Yauap engine for the Amarok audio player [Trinity]
 This package includes Amarok yauap engine, which provides a frontend
 to Yauap Commandline Audio Player. DBus is used as a means of communication
 between the engine and Yauap. Please note that some extra Amarok features 
 (like visualizations) might not be available while using this engine.

Package: amarok-trinity-dbg
Priority: extra
Architecture: any
Depends: amarok-trinity (= ${binary:Version})
Recommends: kdelibs-trinity-dbg
Description: debugging symbols for Amarok [Trinity]
 This package provides debugging symbols for all binary packages built from
 amarok source package. It's highly recommended to have this package installed
 before reporting any Amarok crashes to either Amarok developers or Debian
 package maintainers.
