## amarok-trinity 14.0.11

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8.12 )


##### general package setup #####################

project( amarok )
set( VERSION R14.0.11 )

##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )

option( WITH_GCC_VISIBILITY  "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_XINE            "Enable xine-engine backend"                        ${WITH_ALL_OPTIONS} )
option( WITH_YAUAP           "Enable yauap-engine backend"                       ${WITH_ALL_OPTIONS} )
option( WITH_OPENGL          "Enable OpenGL support"                             ${WITH_ALL_OPTIONS} )
option( WITH_LIBVISUAL       "Enable libvisual support"                          ${WITH_ALL_OPTIONS} )
option( WITH_NJB             "Enable Nomad Jukebox support"                      ${WITH_ALL_OPTIONS} )
option( WITH_MTP             "Enable MTP devices support"                        ${WITH_ALL_OPTIONS} )
option( WITH_IFP             "Enable iRiver iFP Support"                         ${WITH_ALL_OPTIONS} )
option( WITH_IPOD            "Enable iPod support from libgpod"                  ${WITH_ALL_OPTIONS} )
option( WITH_MP4V2           "Enable MP4/AAC Tag Write Support from mp4v2"       ${WITH_ALL_OPTIONS} )
option( WITH_DAAP            "Enable DAAP Music Sharing Support"                 ${WITH_ALL_OPTIONS} )
option( WITH_EMBEDDED_SQLITE "Build with embedded Sqlite"                        OFF )
option( WITH_SYSTEM_SQLITE   "Build with system Sqlite"                          ${WITH_ALL_OPTIONS} )
option( WITH_MYSQL           "Enable MySql Support"                              ${WITH_ALL_OPTIONS} )
option( WITH_POSTGRESQL      "Enable Postgresql Support"                         ${WITH_ALL_OPTIONS} )
option( WITH_KONQSIDEBAR     "Build with Konqueror Sidebar"                      ${WITH_ALL_OPTIONS} )
option( WITH_AKODE           "Enable akode-engine backend"                       ${WITH_ALL_OPTIONS} )
option( WITH_INOTIFY         "Enable inotify support"                            ${WITH_ALL_OPTIONS} )
option( WITH_AMAZON          "Enable Amazon cover download support"              ${WITH_ALL_OPTIONS} )


##### upstream does not support these anymore
# option( WITH_NMM         "NMM-engine backend"   ${WITH_ALL_OPTIONS} )
# option( WITH_HELIX       "Helix-engine backend" ${WITH_ALL_OPTIONS} )
# option( WITH_MUSICBRAINZ "MusicBrainz support"  ${WITH_ALL_OPTIONS} )	- need libtunepimp
# option( WITH_RIOKARMA    "Rio Karma suppor"     ${WITH_ALL_OPTIONS} )


##### user requested modules ####################

option( BUILD_ALL          "Build all"          ON )
option( BUILD_DOC          "Build doc"          ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( ${PROJECT_NAME} )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )
