## amarok-trinity 14.0.13

=== debian/changelog ===
amarok-trinity (4:14.0.13-1romtamrk) universal; urgency=low

  * Applying noAnalizerFlood.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 25 Nov 2024 20:00:00 +0200

amarok-trinity (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Sep 2022 00:23:57 +0200
