## amarok-trinity 14.1.1

=== amarok/src/metadata/mp4/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2013 Darrell Anderson
#  humanreadable (AT) yahoo.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
  ${MP4V2_INCLUDE_DIRS}
)


##### tagmp4 (static)

tde_add_library( common-tagmp4 STATIC_PIC

  SOURCES
        mp4file.cpp
        mp4properties.cpp
        mp4tag.cpp
        taglib_mp4filetyperesolver.cpp
  LINK
     ${MP4V2_LIBRARIES}
)
