=== debian/changelog ===
amarok-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 11 Oct 2023 23:15:49 +0200
