## amarok-trinity 14.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,17 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
 
 project( amarok )
-set( VERSION R14.0.11 )
 
 ##### include essential cmake modules ###########
 
@@ -31,7 +35,6 @@
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
