=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Modestas Vainius <modestas@vainius.eu>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, bzip2,
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, bzip2,
  tdelibs14-trinity-dev, tdebase-trinity-dev,
  libakode-dev, libxine2-dev | libxine-dev,
  libtag1-dev, libsqlite3-dev,
