=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libtag1-dev, libsqlite3-dev,
  default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev,
  libvisual-0.4-dev, libsdl1.2-dev,
- libusb-dev, libgpod-nogtk-dev (>= 0.4.2) | libgpod-dev (>> 0.8.3-8), libnjb-dev, libmtp-dev, libmp4v2-dev,
+ libusb-dev, libgpod-nogtk-dev (>= 0.4.2) | libgpod-dev (>> 0.8.3-8), libnjb-dev, libmtp-dev,
  ruby, ruby-dev, dh-python
 Standards-Version: 3.8.4
 Homepage: http://amarok.kde.org
