## amarok-trinity 14.1.5~pre22

=== debian/changelog ===
amarok-trinity (4:14.1.5~pre22-0debian13.0.0+3) trixie; urgency=low

  * Automated git build for 3b19281b613016a554f87dcd60d86159d02b2583
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 23:07:33 +0200
