## amarok-trinity 14.1.5

=== amarok/src/data/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    Cool-Streams.xml Amarok_1.4_Welcome.ogg ball.png
    dot.png equalizer_presets.xml firstrun.m3u
    grid.png wirl1.png wirl2.png magnatune_logo.png
  DESTINATION ${DATA_INSTALL_DIR}/amarok/data )
