=== amarok/src/magnatunebrowser/CMakeLists.txt ===
--- 
+++ 
@@ -33,4 +33,5 @@
     magnatunelistview.cpp magnatuneredownloaddialog.cpp
     magnatuneredownloadhandler.cpp magnatunedownloadinfo.cpp
     magnatunealbumdownloader.cpp magnatuneredownloaddialogbase.ui
+  DEPENDENCIES amarokcore-static
 )
