=== amarok/src/mediadevice/generic/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,10 @@
 
 ##### other data ################################
 
-install( FILES amarok_generic-mediadevice.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
+tde_create_translated_desktop(
+  SOURCE amarok_generic-mediadevice.desktop
+  DESTINATION ${SERVICES_INSTALL_DIR}
+)
 
 
 ##### libamarok_generic-mediadevice (module) ####
