=== amarok/src/mediadevice/ipod/CMakeLists.txt ===
--- 
+++ 
@@ -28,15 +28,16 @@
 
 ##### other data ################################
 
-install( FILES
-    amarok_ipod-mediadevice.desktop
-  DESTINATION ${SERVICES_INSTALL_DIR} )
+tde_create_translated_desktop(
+  SOURCE amarok_ipod-mediadevice.desktop
+  DESTINATION ${SERVICES_INSTALL_DIR}
+)
 
 
 ##### libamarok_ipod-mediadevice (module) #######
 
 tde_add_kpart( libamarok_ipod-mediadevice AUTOMOC
   SOURCES ipodmediadevice.cpp
-  LINK amarok-shared glib-2.0 ${GPOD_LIBRARY}
+  LINK amarok-shared ${GPOD_LIBRARY} ${GLIB2_LIBRARIES}
   DESTINATION ${PLUGIN_INSTALL_DIR}
 )
