=== amarok/src/metadata/aac/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
)


##### tagaac (static) ###########################

tde_add_library( tagaac STATIC_PIC
  SOURCES
    aacfiletyperesolver.cpp
)
