=== amarok/src/themes/reinhardt/images/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    background.png transparency.png
  DESTINATION ${DATA_INSTALL_DIR}/amarok/themes/reinhardt/images )
