=== amarok/src/mediadevice/daap/daapreader/authentication/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### authentication (static) ###################

tde_add_library( authentication STATIC_PIC AUTOMOC
  SOURCES
    contentfetcher.cpp md5.c hasher.c
)
