## amarok-trinity 14.1.6~pre4

=== debian/changelog ===
amarok-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for fc599a27b13e092a48ece9debb05bc7abb5cd765
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Nov 2025 22:38:51 +0100
