## amarok-trinity 14.1.6~pre6

=== debian/changelog ===
amarok-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 87c54a9f652bc81312552fc7581bab91a36f7f24
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:18:38 +0100
