## amarok-trinity 14.1.6~pre9

=== debian/changelog ===
amarok-trinity (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 10ac3a7ea2d91446e879759ec44cf93a15a017a7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 15 Jan 2026 22:34:39 +0100
