## amarok-trinity 14.1.6~pre13

=== debian/changelog ===
amarok-trinity (4:14.1.6~pre13-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e7343a2735208d45da573cca1e0e6717b3e34897
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 15:51:05 +0100
