## amarok-trinity 14.2.0~pre171

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre171-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 16ec0eab9e744550173e7036e1e08bf1bacb63f1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
